## GstPlayerSignalDispatcher

## GstPlayer.PlayerSignalDispatcher

### Virtual Methods

#### dispatch

    dispatch (GstPlayerSignalDispatcher * self,
              GstPlayer * player,
              GstPlayerSignalDispatcherFunc emitter,
              gpointer data,
              GDestroyNotify destroy)

Parameters:

`self` –
No description available
`player` –
No description available
`emitter` –
No description available
`data` –
No description available
`destroy` –
No description available

#### vfunc_dispatch

    function vfunc_dispatch(self: GstPlayer.PlayerSignalDispatcher, player: GstPlayer.Player, emitter: GstPlayer.PlayerSignalDispatcherFunc, data: Object): {
        // javascript implementation of the 'dispatch' virtual method
    }

Parameters:

`self` (GstPlayer.PlayerSignalDispatcher) –
No description available
`player` (GstPlayer.Player) –
No description available
`emitter` (GstPlayer.PlayerSignalDispatcherFunc) –
No description available
`data` (Object) –
No description available

#### do_dispatch

    def do_dispatch (self, player, emitter, *data):
        #python implementation of the 'dispatch' virtual method

Parameters:

`self` (GstPlayer.PlayerSignalDispatcher) –
No description available
`player` (GstPlayer.Player) –
No description available
`emitter` (GstPlayer.PlayerSignalDispatcherFunc) –
No description available
`data` (variadic) –
No description available

## Function Macros

### GST_PLAYER_SIGNAL_DISPATCHER_GET_INTERFACE

    #define GST_PLAYER_SIGNAL_DISPATCHER_GET_INTERFACE(inst) (G_TYPE_INSTANCE_GET_INTERFACE ((inst), GST_TYPE_PLAYER_SIGNAL_DISPATCHER, GstPlayerSignalDispatcherInterface))

## Callbacks

### GstPlayerSignalDispatcherFunc

    (*GstPlayerSignalDispatcherFunc) (gpointer data)

Parameters:

`data` –
No description available

### GstPlayer.PlayerSignalDispatcherFunc

    function GstPlayer.PlayerSignalDispatcherFunc(data: Object): {
        // javascript wrapper for 'GstPlayerSignalDispatcherFunc'
    }

Parameters:

`data` (Object) –
No description available

### GstPlayer.PlayerSignalDispatcherFunc

    def GstPlayer.PlayerSignalDispatcherFunc (data):
        #python wrapper for 'GstPlayerSignalDispatcherFunc'

Parameters:

`data` (object) –
No description available

The results of the search are